curl --request POST \
--url https://api.firecrawl.dev/v2/extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"enableWebSearch": false,
"ignoreInvalidURLs": true,
"ignoreSitemap": false,
"includeSubdomains": true,
"prompt": "<string>",
"schema": {},
"scrapeOptions": {
"actions": [
{
"milliseconds": 2,
"type": "wait"
}
],
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": [
"markdown"
],
"headers": {},
"includeTags": [
"<string>"
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"lockdown": false,
"maxAge": 172800000,
"minAge": 123,
"mobile": false,
"onlyCleanContent": false,
"onlyMainContent": true,
"parsers": [
"pdf"
],
"proxy": "auto",
"redactPII": false,
"removeBase64Images": true,
"skipTlsVerification": true,
"storeInCache": true,
"threatProtection": {
"blacklist": [
"<string>"
],
"blockedTlds": [
"<string>"
],
"riskScoreThreshold": 75,
"whitelist": [
"<string>"
]
},
"timeout": 60000,
"waitFor": 0
},
"showSources": false,
"threatProtection": {
"blacklist": [
"<string>"
],
"blockedTlds": [
"<string>"
],
"riskScoreThreshold": 75,
"whitelist": [
"<string>"
]
}
}
'import requests
url = "https://api.firecrawl.dev/v2/extract"
payload = {
"urls": ["<string>"],
"enableWebSearch": False,
"ignoreInvalidURLs": True,
"ignoreSitemap": False,
"includeSubdomains": True,
"prompt": "<string>",
"schema": {},
"scrapeOptions": {
"actions": [
{
"milliseconds": 2,
"type": "wait"
}
],
"blockAds": True,
"excludeTags": ["<string>"],
"formats": ["markdown"],
"headers": {},
"includeTags": ["<string>"],
"location": {
"country": "US",
"languages": ["en-US"]
},
"lockdown": False,
"maxAge": 172800000,
"minAge": 123,
"mobile": False,
"onlyCleanContent": False,
"onlyMainContent": True,
"parsers": ["pdf"],
"proxy": "auto",
"redactPII": False,
"removeBase64Images": True,
"skipTlsVerification": True,
"storeInCache": True,
"threatProtection": {
"blacklist": ["<string>"],
"blockedTlds": ["<string>"],
"riskScoreThreshold": 75,
"whitelist": ["<string>"]
},
"timeout": 60000,
"waitFor": 0
},
"showSources": False,
"threatProtection": {
"blacklist": ["<string>"],
"blockedTlds": ["<string>"],
"riskScoreThreshold": 75,
"whitelist": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['<string>'],
enableWebSearch: false,
ignoreInvalidURLs: true,
ignoreSitemap: false,
includeSubdomains: true,
prompt: '<string>',
schema: {},
scrapeOptions: {
actions: [{milliseconds: 2, type: 'wait'}],
blockAds: true,
excludeTags: ['<string>'],
formats: ['markdown'],
headers: {},
includeTags: ['<string>'],
location: {country: 'US', languages: ['en-US']},
lockdown: false,
maxAge: 172800000,
minAge: 123,
mobile: false,
onlyCleanContent: false,
onlyMainContent: true,
parsers: ['pdf'],
proxy: 'auto',
redactPII: false,
removeBase64Images: true,
skipTlsVerification: true,
storeInCache: true,
threatProtection: {
blacklist: ['<string>'],
blockedTlds: ['<string>'],
riskScoreThreshold: 75,
whitelist: ['<string>']
},
timeout: 60000,
waitFor: 0
},
showSources: false,
threatProtection: {
blacklist: ['<string>'],
blockedTlds: ['<string>'],
riskScoreThreshold: 75,
whitelist: ['<string>']
}
})
};
fetch('https://api.firecrawl.dev/v2/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"invalidURLs": [
"<string>"
],
"success": true
}{
"error": "Invalid input data."
}{
"error": "An unexpected error occurred on the server."
}Extract
Firecrawl APIキーを必要とするAI agentですか? 自動オンボーディングの手順については、firecrawl.dev/agent-onboarding/SKILL.mdを参照してください。
承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ボディ
データを抽出する対象のURLです。URLはグロブ形式で指定してください。
true の場合、抽出処理で Web 検索を使用して追加データを取得します
urls 配列に無効な URL が含まれている場合、それらは無視されます。無効な URL が原因でリクエスト全体が失敗するのではなく、有効な URL のみを使用して抽出が実行され、無効な URL はレスポンスの invalidURLs フィールドで返されます。
true の場合、サイトのスキャン時に sitemap.xml ファイルは無視されます
true の場合、指定した URL のサブドメインもスキャンされます
抽出プロセスをガイドするプロンプト
抽出されたデータの構造を定義するためのスキーマ。JSON Schema に準拠する必要があります。
Show child attributes
Show child attributes
true の場合、データ抽出に使用されたソースがレスポンスの sources キーに含まれます
このリクエスト単位の 脅威保護 オーバーライドです。指定したフィールドは、このリクエストに限り、組織のポリシー内の対応するフィールドを置き換えます。省略したフィールドには組織レベルの値がそのまま適用されます。利用するには、チームで脅威保護が有効になっている必要があります(エンタープライズ機能)。有効でない場合、リクエストは 403 で拒否されます。組織でリクエストごとのオーバーライドが無効になっている場合、このオブジェクトを含むリクエストはすべて 403 で拒否されます。チームに対して脅威保護が強制適用されている場合、mode に off は設定できません。
Show child attributes
Show child attributes

